using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MeterVision.Dlg
{
    /// <summary>
    /// WaitImportDlg.xaml 的交互逻辑
    /// </summary>
    public partial class WaitImportDlg : Window, INotifyPropertyChanged
    {

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        public string TitleInfo { get; set; }

        private int _prgCount;
        public int PrgCount
        {
            get => _prgCount;
            set
            {
                if(_prgCount != value)
                {
                    _prgCount = value;
                    OnPropertyChanged(nameof(PrgCount));
                }
            }
        }

        private int _prgIndex;
        public int PrgIndex
        {
            get => _prgIndex;
            set
            {
                if(_prgIndex != value)
                {
                    _prgIndex = value;
                    OnPropertyChanged(nameof(PrgIndex));
                }
            }
        }

        public WaitImportDlg(string titleInfo)
        {
            InitializeComponent();

            TitleInfo = titleInfo;

            this.DataContext = this;
        }
    }
}
